Update Payment Plan Payments
curl --request PATCH \
--url https://staging.debt-wise.com/api/users/{id}/payment_plans/{payment_plan_id}/payments/{payment_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "paid"
}
'import requests
url = "https://staging.debt-wise.com/api/users/{id}/payment_plans/{payment_plan_id}/payments/{payment_id}"
payload = { "status": "paid" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'paid'})
};
fetch('https://staging.debt-wise.com/api/users/{id}/payment_plans/{payment_plan_id}/payments/{payment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"amount": 10000,
"status": "upcoming",
"type": "priority",
"payment_date": "2026-06-06",
"account_id": 2,
"estimated_balance": 4313500,
"estimated_payoff_date": "2031-06-01"
}{
"error": {
"code": "internal_server_error",
"message": "We've notified our engineers and hope to address this issue shortly."
}
}Debt Payoff Plan Payments
Update Payment Plan Payments
Update a payment plan payment’s status
PATCH
/
api
/
users
/
{id}
/
payment_plans
/
{payment_plan_id}
/
payments
/
{payment_id}
Update Payment Plan Payments
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
We can compress a response with gzip.
Example:
"gzip deflate"
API API Version. See Versioning page for more details.
Example:
"2024-07-01"
Path Parameters
An userId.
Example:
1
An payment plan ID.
Example:
1
An payment plan payment ID.
Example:
1
Body
application/json
The payment plan payment status.
Available options:
upcoming, paid Example:
"paid"
Response
Returns an updated payment plan payment
Payment Plan Payment ID
Example:
1
Payment amount in cents
Example:
10000
Indicates whether payment is paid or upcoming
Available options:
upcoming, paid Example:
"upcoming"
Indicates type of payment.
Available options:
minimum, priority, final Example:
"priority"
When payment should be made
Example:
"2026-06-06"
Account ID for which payment should be made
Example:
2
Expected amount of loan after payment
Example:
4313500
Expected payoff date for the loan
Example:
"2031-06-01"